# Copyright (c) 2000-2009, JPackage Project
# https://github.com/fedora-java/javapackages/blob/master/LICENSE

%global base_name oro

Summary:        Full regular expressions API
Name:           jakarta-oro
Version:        2.0.8
Release:        2%{?dist}
License:        ASL 1.1
URL:            http://jakarta.apache.org/oro
Source0:        http://archive.apache.org/dist/jakarta/oro/%{name}-%{version}.tar.gz
Source1:        MANIFEST.MF
Source2:        https://repo1.maven.org/maven2/%{base_name}/%{base_name}/%{version}/%{base_name}-%{version}.pom

Patch3000:      %{name}-build-xml.patch

BuildRequires: javapackages-local ant

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Provides:       deprecated()

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes
that provide Perl5 compatible regular expressions, AWK-like regular
expressions, glob expressions, and utility classes for performing
substitutions, splits, filtering filenames, etc. This library is the
successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries from ORO, Inc. (www.oroinc.com). 

%package javadoc
Summary:        Javadoc for %{name}
Provides:       deprecated()

%description javadoc
Javadoc for %{name}.

%prep
%setup -q

find . -name "*.jar" -exec rm -f {} \;
for dir in `find . -type d -name CVS`; do rm -rf $dir; done
for file in `find . -type f -name .cvsignore`; do rm -rf $file; done

%patch3000
cp %{SOURCE1} .

%build
ant -Dfinal.name=%{base_name} jar javadocs -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8

%install
%mvn_file : %{name} %{base_name}
%mvn_artifact %{SOURCE2} %{base_name}.jar
%mvn_install -J docs/api

%files -f .mfiles
%license LICENSE
%doc COMPILE ISSUES README TODO CHANGES CONTRIBUTORS STYLE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.8-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 06 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.8-1
- initial build
